1. Whatsapp API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Outbound IVR API
    • Create Outbound IVR
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateParameterDto
    • ChannelConversationDto
    • UpdateTagDto
    • TemplateParameterDto
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Whatsapp API

Send Image

POST
/v1/whatsapp/service-account/sendImage
Sends a WhatsApp image message (with an optional caption) from a workspace channel to a destination number using whichever WhatsApp provider that channel is configured with.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
The message has been accepted and queued for delivery.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/whatsapp/service-account/sendImage' \
--header 'Authorization: Bearer eyJh......' \
--header 'content-type: application/json' \
--data '{
    "ChannelId": "3a197.........",
    "ImageUrl": "https://example.com/image.jpg",
    "ToNumber": "9665xxxxxxxx",
    "Caption": "Test caption"
}'
Response Response Example
Success Example
{
    "contactId": "3a1e15..............",
    "status": "Pending",
    "message": "Message has been queued for sending",
    "conversationEventId": "3a21f2..............",
    "messageId": null
}
Modified at 2026-06-19 15:55:35
Previous
Send Template
Next
Send Audio
Built with